import * as postcss from 'postcss';
declare const PostCssTriangle: postcss.Plugin<PostCssTriangle.Options>;
declare namespace PostCssTriangle {
    interface Options {
        /**
         * Default: 5. When using `right-iso` or `equilateral` triangles,
         * calculations will be performed that will most likely turn into
         * fractions. This option allows you to control the number of
         * significant digits after the decimal point (e.g., `1.2354`
         * with a `unitPrecision` of `2` would yield `1.24`, rounding it
         * off nicely).
         */
        unitPrecision?: number;
    }
    interface Length {
        value: number;
        unit: string;
    }
}
export = PostCssTriangle;
